VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Lets Play Dice"
   ClientHeight    =   3555
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   8910
   FillColor       =   &H00FFFFFF&
   ForeColor       =   &H00FFFFFF&
   KeyPreview      =   -1  'True
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   3555
   ScaleWidth      =   8910
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command2 
      Caption         =   "Roll"
      Height          =   270
      Left            =   5415
      TabIndex        =   12
      Top             =   3135
      Width           =   1545
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Clear"
      Height          =   315
      Left            =   1260
      TabIndex        =   11
      Top             =   3090
      Width           =   1590
   End
   Begin VB.Frame Frame3 
      Caption         =   "Control"
      Height          =   900
      Left            =   345
      TabIndex        =   2
      Top             =   105
      Width           =   8280
      Begin VB.ComboBox Condition 
         Height          =   315
         Left            =   4230
         Style           =   2  'Dropdown List
         TabIndex        =   10
         Top             =   480
         Width           =   1545
      End
      Begin VB.ComboBox Operation 
         Height          =   315
         Left            =   2205
         Style           =   2  'Dropdown List
         TabIndex        =   7
         Top             =   495
         Width           =   1830
      End
      Begin VB.TextBox Text2 
         Height          =   285
         Left            =   7395
         MaxLength       =   2
         TabIndex        =   4
         Top             =   510
         Width           =   585
      End
      Begin VB.TextBox Text1 
         Height          =   285
         Left            =   1365
         MaxLength       =   2
         TabIndex        =   3
         Top             =   510
         Width           =   450
      End
      Begin VB.Label Label4 
         Caption         =   "Conditions to win:"
         Height          =   270
         Left            =   4230
         TabIndex        =   9
         Top             =   210
         Width           =   1290
      End
      Begin VB.Label Label3 
         Caption         =   "Operation:"
         Height          =   210
         Left            =   2220
         TabIndex        =   8
         Top             =   180
         Width           =   825
      End
      Begin VB.Label Label2 
         Caption         =   "Number of Dice:"
         Height          =   255
         Left            =   150
         TabIndex        =   6
         Top             =   525
         Width           =   1170
      End
      Begin VB.Label Label1 
         Caption         =   "Number of Dice:"
         Height          =   225
         Left            =   6075
         TabIndex        =   5
         Top             =   525
         Width           =   1200
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Computer"
      Height          =   1890
      Left            =   4905
      TabIndex        =   1
      Top             =   1080
      Width           =   3720
      Begin VB.Label CompDisplay 
         Alignment       =   2  'Center
         BackColor       =   &H80000007&
         BeginProperty Font 
            Name            =   "Westminster"
            Size            =   48
            Charset         =   0
            Weight          =   500
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   900
         Left            =   330
         TabIndex        =   14
         Top             =   465
         Width           =   2970
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Player"
      Height          =   1920
      Left            =   360
      TabIndex        =   0
      Top             =   1065
      Width           =   4020
      Begin VB.Label PlayerDisplay 
         Alignment       =   2  'Center
         BackColor       =   &H80000007&
         BeginProperty Font 
            Name            =   "Westminster"
            Size            =   48
            Charset         =   0
            Weight          =   500
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   900
         Left            =   525
         TabIndex        =   13
         Top             =   570
         Width           =   2970
      End
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Dim DIDITWORK As Variant
Dim Dice As Object
Dim PTotal, CTotal, X As Integer
Dim cData As String
Dim pdice(), cdice() As Diecls
Private Sub Command1_Click()
    Form_Load
End Sub
Private Sub Command2_Click()
    'resize each array of dice classes
    For X = 0 To (CInt(Text1.Text) - 1)
        ReDim Preserve pdice(0 To X + 1)
        Set pdice(X) = New Diecls
    Next X
    For X = 0 To (CInt(Text2.Text) - 1)
        ReDim Preserve cdice(0 To X + 1)
        Set cdice(X) = New Diecls
    Next X
    'call the roll the dice method of every dice that is in each array
    For X = 0 To (CInt(Text1.Text) - 1)
        Set Dice = pdice(X)
            Dice.RolltheDie
    Next X
    For X = 0 To (CInt(Text2.Text) - 1)
        Set Dice = cdice(X)
            Dice.RolltheDie
    Next X
    'figure out the operation that is in teh operation list box
    Let cData = Operation.Text
    Select Case cData
        Case "Addition": Call Addition
        Case "Subtraction": Call Subtraction
        Case "Multiplication": Call Multiplication
        Case Else: Let Operation.Text = "Addition": Call Addition
    End Select
    'display the totals
    PlayerDisplay.Caption = PTotal
    CompDisplay.Caption = CTotal
    'figure out whether the person won or lost by getting the win settings
    Let cData = Condition.Text
    Select Case cData
        Case "Higher Score": If PTotal > CTotal Then MsgBox ("You win!!!")
        Case "Lower Score": If CTotal > PTotal Then MsgBox ("You Win!!!")
        Case Else: If PTotal > CTotal Then MsgBox ("You win!!!")
    End Select
End Sub
Private Sub Form_KeyPress(KeyAscii As Integer)
    If KeyAscii = vbKeyReturn Then Call Command2_Click
End Sub
Private Sub Form_Load()
    Randomize

    Condition.Clear
    Operation.Clear
    Condition.AddItem "Higher Score", 1 = DIDITWORK
    Condition.AddItem "Lower Score", 2 = DIDITWORK
    Operation.AddItem "Addition", 1 = DIDITWORK
    Operation.AddItem "Subtraction", 2 = DIDITWORK
    Operation.AddItem "Multiplication", 3 = DIDITWORK
    Text1.Text = 2
    Text2.Text = 2
    PlayerDisplay.Caption = Empty
    CompDisplay.Caption = Empty
End Sub
Private Function Addition()
    PTotal = 0
    For X = 0 To (CInt(Text1.Text) - 1)
        Let PTotal = PTotal + pdice(X).Number
    Next X
    
    CTotal = 0
    For X = 0 To (CInt(Text2.Text) - 1)
        Let CTotal = CTotal + cdice(X).Number
    Next X
End Function
Private Function Subtraction()
    PTotal = 0
    For X = 0 To (CInt(Text1.Text) - 1)
        Let PTotal = PTotal - pdice(X).Number
    Next X
    
    CTotal = 0
    For X = 0 To (CInt(Text2.Text) - 1)
        Let CTotal = CTotal - cdice(X).Number
    Next X
End Function
Private Function Multiplication()
    PTotal = 1
    For X = 0 To (CInt(Text1.Text) - 1)
        Let PTotal = PTotal * pdice(X).Number
    Next X
    
    CTotal = 1
    For X = 0 To (CInt(Text2.Text) - 1)
        Let CTotal = CTotal * cdice(X).Number
    Next X
End Function
